/*
 * Asterisk -- An open source telephony toolkit.
 *
 * Copyright (C) 1999 - 2005, Digium, Inc.
 *
 * Mark Spencer <markster@digium.com>
 *
 * See http://www.asterisk.org for more information about
 * the Asterisk project. Please do not directly contact
 * any of the maintainers of this project for assistance;
 * the project provides a web site, mailing lists and IRC
 * channels for your use.
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License Version 2. See the LICENSE file
 * at the top of the source tree.
 */

/*! \file
 *
 * \author Grzegorz Sluja <grzegorz.sluja@genexis.eu>
 *
 * \brief Support for the DT syslog logging mechanism
 */

#ifndef _ASTERISK_DT_LOGGER_H
#define _ASTERISK_DT_LOGGER_H

// Define language support
typedef enum {
    LOG_LANGUAGE_DT_ENGLISH = 0,
    LOG_LANGUAGE_DT_GERMAN,
    // Add more languages here
    LOG_LANGUAGE_DT_MAX
} LOG_LANGUAGE_DT;

// Define log event codes
typedef enum {
    LOG_EVENT_CODE_SPD001 = 1,
    LOG_EVENT_CODE_SPD002,
    LOG_EVENT_CODE_V001,
    LOG_EVENT_CODE_V002,
    LOG_EVENT_CODE_V003,
    LOG_EVENT_CODE_V004,
    LOG_EVENT_CODE_V005,
    LOG_EVENT_CODE_V006,
    LOG_EVENT_CODE_V100,
    LOG_EVENT_CODE_V101,
    LOG_EVENT_CODE_IPX001,
    LOG_EVENT_CODE_IPX002,
    LOG_EVENT_CODE_IPX003,
    LOG_EVENT_CODE_IPX004,
    LOG_EVENT_CODE_IPX100,
    LOG_EVENT_CODE_IPX101,
    LOG_EVENT_CODE_SV101,
    LOG_EVENT_CODE_SV102,
    LOG_EVENT_CODE_SV103,
    LOG_EVENT_CODE_SV107,
    LOG_EVENT_CODE_SV108,
    LOG_EVENT_CODE_SV109,
    LOG_EVENT_CODE_SV112,
    LOG_EVENT_CODE_SV113,
    LOG_EVENT_CODE_SV114,
    LOG_EVENT_CODE_SV116,
    // Add more event codes here
} LOG_EVENT_CODE_DT;

void dt_set_log_language(LOG_LANGUAGE_DT language);
void ast_log_dt(LOG_EVENT_CODE_DT event_code, ...);

#endif /* _ASTERISK_DT_LOGGER_H */
